Skip to main content
GET
/
api
/
v1
/
sandboxes
/
search
Search Sandboxes
curl --request GET \
  --url https://app.all-hands.dev/api/v1/sandboxes/search \
  --header 'X-Access-Token: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "created_by_user_id": "<string>",
      "sandbox_spec_id": "<string>",
      "status": "STARTING",
      "session_api_key": "<string>",
      "exposed_urls": [
        {
          "name": "<string>",
          "url": "<string>",
          "port": 123
        }
      ],
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://allhandsai-add-v1-api-reference.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Access-Token
string
header
required

Query Parameters

page_id
string | null
limit
integer
default:100
Required range: x <= 100

Response

Successful Response

items
SandboxInfo · object[]
required
next_page_id
string | null